KDE 4.4 PyKDE API Reference

- KDE's Python API

# global Namespace Reference

`from PyKDE4.nepomuk import *`

## Detailed Description

## Class Index

A | O | ResourceTypeTerm (Nepomuk::Query)
AndTerm (Nepomuk::Query) | Ontology (Nepomuk::Types) | Result (Nepomuk::Query)
C | OrTerm (Nepomuk::Query) | S
Class (Nepomuk::Types) | P | Service (Nepomuk)
ComparisonTerm (Nepomuk::Query) | Property (Nepomuk::Types) | SimpleTerm (Nepomuk::Query)
E | Q | T
Entity (Nepomuk::Types) | Query (Nepomuk::Query) | Tag (Nepomuk)
F | QueryParser (Nepomuk::Query) | TagCloud (Nepomuk)
FileQuery (Nepomuk::Query) | QueryServiceClient (Nepomuk::Query) | KTagCloudWidget
G | R | KTagDisplayWidget
GroupTerm (Nepomuk::Query) | KRatingPainter | TagWidget (Nepomuk)
L | KRatingWidget | Term (Nepomuk::Query)
Literal (Nepomuk::Types) | RequestProperty (Nepomuk::Query::Query) | Thing (Nepomuk)
LiteralTerm (Nepomuk::Query) | Resource (Nepomuk) | V
N | ResourceManager (Nepomuk) | Variant (Nepomuk)
NegationTerm (Nepomuk::Query) | ResourceTerm (Nepomuk::Query) |

## Functions
Nepomuk::Query::TermPrivate | clone ()
QDebug | operator << (, QDebug dbg, Nepomuk.Variant a1)
QDebug | operator << (, QDebug a0, Nepomuk.Query.Query a1)
QDebug | operator << (, QDebug a0, Nepomuk.Query.Term a1)

## Function Documentation

Nepomuk::Query::TermPrivate clone | ( |  | ) |

QDebug operator << | ( | QDebug | dbg,
|  | Nepomuk.Variant | a1
| ) |  |  |

QDebug operator << | ( | QDebug | a0,
|  | Nepomuk.Query.Query | a1
| ) |  |  |

QDebug operator << | ( | QDebug | a0,
|  | Nepomuk.Query.Term | a1
| ) |  |  |